disp(' ')
disp('This m-file script produces the files: ')
disp(' ')
disp('xyzdata3d.dat : randomly generated (x,y,z) coordinates ')
disp('                in [-0.5,0.5]X[-0.5,0.5]X[-0.5,0.5]. ')
disp('q3d.dat       : randomly generated charges q in [-0.5,0.5].')
disp(' ')
n=input('Enter number of particles : ');
disp(' ')

% cube coordinate data 
coors=rand(n,3);
coors=coors-0.5;
coors=coors';
fid=fopen('xyz3d.dat','wb');
count=fwrite(fid,coors,'real*8');
err=fclose(fid);
disp('File xyz3d.dat written.')
disp(' ')

% charge data
q=rand(n,1)-0.5;
fid=fopen('q3d.dat','wb');
count=fwrite(fid,q,'real*8');
err=fclose(fid);
disp('File q3d.dat written.')
disp(' ')

